Bug 485378 - named.conf possibly labeled incorrectly in chroot environment
named.conf possibly labeled incorrectly in chroot environment
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 01:42 EST by Murray McAllister
Modified: 2015-01-04 17:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 10:46:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2009-02-13 01:42:15 EST
Description of problem:
In Fedora 10, /var/named/chroot/etc/named.conf is labeled with the name_conf_t type:
file_contexts:/var/named/chroot/etc(/.*)?       system_u:object_r:named_conf_t:s0

In rawhide, /var/named/chroot/etc/named.conf is labeled with the etc_t type:
file_contexts:/var/named/chroot/etc(/.*)?       system_u:object_r:etc_t:s0

In rawhide, /etc/named.conf is labeled with the named_conf_t type:
file_contexts:/etc/named\.conf  --      system_u:object_r:named_conf_t:s0

Should named.conf use the named_conf_t type regardless of where it is?

Version-Release number of selected component (if applicable):
selinux-policy-3.6.5-3.fc11.noarch
selinux-policy-targeted-3.6.5-3.fc11.noarch

How reproducible:
Always.

Steps to Reproduce:
1. yum install bind bind-chroot
2. cp /etc/named.conf /var/named/chroot/etc/
3. restorecon -R -v /var/named/chroot/etc/
  
Actual results:
/var/named/chroot/etc/named.conf labeled with etc_t type.

Expected results:
/var/named/chroot/etc/named.conf labeled with named_conf_t type?
Comment 1 Daniel Walsh 2009-04-13 10:46:59 EDT
Fixed in selinux-policy-3.6.12-4.fc11.noarch

Note You need to log in before you can comment on or make changes to this bug.